Subject: Re: [PATCH 2.4] Use double-linked list for dev->qdisc_list

From: "David S. Miller" <[email-masked]>
Date: Wed, 4 Aug 2004 13:44:32 -0700

On Wed, 4 Aug 2004 16:56:10 +0200
Tomasz Paszkowski <[email-masked]> wrote:

> On Wed, Aug 04, 2004 at 03:30:45PM +0200, Patrick McHardy wrote:
> > Looks good, except for the last hunk, the BUG_TRAP is valid in 2.4 because
> > it doesn't use RCU. Change it to BUG_TRAP(list_empty(&dev->qdisc_list)).
> 
> Thanks. In attachment there's a corrected version of this patch.

Can someone regenerate this patch with the q_idx fix Patrick
just posted added to it?

Thanks.